GET /v1/metrics/top-errors
Get most common errors with counts. Maximum time range is 365 days.
GET
/v1/metrics/top-errors
Get most common errors with counts. Maximum time range is 365 days.
Query Parameters
from
integer
required
query
Start timestamp (Unix milliseconds)
to
integer
required
query
End timestamp (Unix milliseconds). Max 365 days from 'from'.
limit
integer
optional
query
Number of errors to return (default 20, max 100)
Responses
200
OK
application/jsoncode
integer
data
object[]
Array of:
count
integer
error
string
lastOccurred
string
message
string
requestId
string
400
Bad Request
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/metrics/top-errors?from=0&to=0' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/metrics/top-errors?from=0&to=0', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/metrics/top-errors?from=0&to=0', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/metrics/top-errors?from=0&to=0", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": [ { "count": 123, "error": "<string>", "lastOccurred": "<string>" } ], "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/metrics/top-errors
